/*
 * $Id: ConfigurationException.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/03/07
 */
package feat2.config;

import feat2.FeatRuntimeException;

/**
 * 設定の記述ミスが原因となる場合の例外。
 * @author SUGIMOTO Ken-ichi
 */
public class ConfigurationException extends FeatRuntimeException {

    private static final long serialVersionUID = "$Id: ConfigurationException.java 220 2007-07-16 10:32:15Z sugimotokenichi $".hashCode();

    public ConfigurationException(String messageId, Throwable cause) {
        super(messageId, cause);
    }

    public ConfigurationException(String messageId) {
        super(messageId);
    }

    public ConfigurationException(Throwable cause) {
        super(cause);
    }

}
